Package org.apache.commons.math3.optim.nonlinear.vector.jacobian

# Class GaussNewtonOptimizer

java.lang.Object
org.apache.commons.math3.optim.BaseOptimizer<PointVectorValuePair>
org.apache.commons.math3.optim.BaseMultivariateOptimizer<PointVectorValuePair>
org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer
org.apache.commons.math3.optim.nonlinear.vector.JacobianMultivariateVectorOptimizer
org.apache.commons.math3.optim.nonlinear.vector.jacobian.AbstractLeastSquaresOptimizer
org.apache.commons.math3.optim.nonlinear.vector.jacobian.GaussNewtonOptimizer

@Deprecated public class GaussNewtonOptimizer extends AbstractLeastSquaresOptimizer
Deprecated.
All classes and interfaces in this package are deprecated. The optimizers that were provided here were moved to the `org.apache.commons.math3.fitting.leastsquares` package (cf. MATH-1008).
Gauss-Newton least-squares solver.
Constraints are not supported: the call to `optimize` will throw `MathUnsupportedOperationException` if bounds are passed to it.

This class solve a least-square problem by solving the normal equations of the linearized problem at each iteration. Either LU decomposition or QR decomposition can be used to solve the normal equations. LU decomposition is faster but QR decomposition is more robust for difficult problems.

Since:
  2.0

## Field Summary

### Fields inherited from class org.apache.commons.math3.optim.BaseOptimizer

`evaluations, iterations`

## Constructor Summary

Constructors
Constructor
Description
`GaussNewtonOptimizer(boolean useLU, ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.
`GaussNewtonOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.
Simple constructor with default settings.

## Method Summary

Modifier and Type
Method
Description
`PointVectorValuePair`
`doOptimize()`
Deprecated.
Performs the bulk of the optimization algorithm.

### Methods inherited from class org.apache.commons.math3.optim.nonlinear.vector.jacobian.AbstractLeastSquaresOptimizer

`computeCost, computeCovariances, computeResiduals, computeSigma, computeWeightedJacobian, getChiSquare, getRMS, getWeightSquareRoot, optimize, parseOptimizationData, setCost`

### Methods inherited from class org.apache.commons.math3.optim.nonlinear.vector.JacobianMultivariateVectorOptimizer

`computeJacobian`

### Methods inherited from class org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer

`computeObjectiveValue, getTarget, getTargetSize, getWeight`

### Methods inherited from class org.apache.commons.math3.optim.BaseMultivariateOptimizer

`getLowerBound, getStartPoint, getUpperBound`

### Methods inherited from class org.apache.commons.math3.optim.BaseOptimizer

`getConvergenceChecker, getEvaluations, getIterations, getMaxEvaluations, getMaxIterations, incrementEvaluationCount, incrementIterationCount, optimize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GaussNewtonOptimizer

public GaussNewtonOptimizer(ConvergenceChecker<PointVectorValuePair> checker)
Deprecated.
Simple constructor with default settings. The normal equations will be solved using LU decomposition.

Parameters:
  `checker` - Convergence checker.

### GaussNewtonOptimizer

public GaussNewtonOptimizer(boolean useLU, ConvergenceChecker<PointVectorValuePair> checker)
Deprecated.

Parameters:
  `useLU` - If `true`, the normal equations will be solved using LU decomposition, otherwise they will be solved using QR decomposition.
  `checker` - Convergence checker.

## Method Details

### doOptimize

public PointVectorValuePair doOptimize()
Deprecated.
Performs the bulk of the optimization algorithm.

Specified by:
  `doOptimize` in class `BaseOptimizer<PointVectorValuePair>`
Returns:
  the point/value pair giving the optimal value of the objective function.